Subject: bug#22549: 25.0.50; Tooltips placed outside of screen limits

From: martin rudalics <[email-masked]>
Date: Thu, 04 Feb 2016 18:05:56 +0100

> I think I know what is happening.
 >
 > I have two monitors, side by side, simulating a continuous display.

I expected something like that.

 > The
 > monitor on the left side, where Emacs is displayed, has a vertical
 > resolution of 1050 pixels while the monitor on the right side has a
 > vertical resolution of 1200 points. Emacs is using the vertical
 > resolution of the virtual display (the largest of the two monitors, i.e.
 > 1200 points) instead of the resolution of the monitor that hosts the
 > Emacs frame.

Did you check via ‘x-display-pixel-width’ and ‘x-display-pixel-height’
and the selected frame on either of your monitors?

And what does ‘x-display-monitor-attributes-list’ return?

 > Something similar happens for the horizontal overflow: the dimensions of
 > the virtual desktop are used instead of the dimensions of the monitor.
 >
 > I've seen similar issues on the past for other applications, and they
 > were fixed, eventually. The key here is that, while the two monitors
 > belong to a single desktop, it can't be considered a continuous surface.
 > For instance: the window manager never gives to a window a default
 > position that makes it overlap over the two monitors, unless the window
 > is so big that doesn't fit on one monitor. Ditto for maximizing: windows
 > maximize on one monitor, not on the whole virtual desktop (Emacs does
 > this right, so it already knows how to query the resolution of the
 > current monitor.)

It's the window manager that maximizes the frame and tells Emacs the
required coordinates so no querying should occur here.

martin